.app {
    overflow: hidden;
}

.header {
    height: var(--header-height);
    background-image: linear-gradient(0, #fe6433, #f53e2d);
}

.header__navbar {
    display: flex;
    justify-content: space-between;
    height: var(--navbar-height);
}

.header__navbar-list {
    list-style: none;
    padding-left: 0;
    margin: 4px 0 0 0;
    display: flex;
}

.header__navbar-item {
    margin: 0 8px;
    position: relative;
    min-height: 26px;
}

.header__navbar-user {
    display: flex;
    justify-content: center;
}

.header__navbar-user-img {
    width: 22px;
    height: 22px;
    border-radius: 50%;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.header__navbar-user-name {
    margin-left: 4px;
    font-size: 1.4rem;
    font-weight: 400;
}

.header__navbar-user:hover .header__navbar-user-menu {
    display: block;
}

.header__navbar-user-menu {
    position: absolute;
    z-index: 1;
    padding-left: 0;
    top: calc(100% + 6px);
    right: 0;
    width: 160px;
    border-radius: 2px;
    background-color: var(--white-color);
    list-style: none;
    box-shadow: 0 1px 2px #e0e0e0;
    display: none;
}

.header__navbar-user-menu::before {
    content: "";
    border-width: 20px 27px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -29px;
    z-index: -1;
}

.header__navbar-user-menu::after {
    content: "";
    display: block;
    position: absolute;
    top: -8px;
    right: 0;
    width: 56%;
    height: 8px;
}

.header__navbar-user-item {}

.header__navbar-user-item--separate {
    border-top: 1px solid rgba(0, 0, 0, 0.05);
}

.header__navbar-user-item a {
    text-decoration: none;
    color: var(--text-color);
    font-size: 1.4rem;
    padding: 4px 16px;
    display: block;

}

.header__navbar-user-item a:first-child {
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.header__navbar-user-item a:last-child {
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}

.header__navbar-user-item a:hover {
    background-color: #fafafa;
}

.header__navbar-item--has-qr:hover .header__qr {
    display: block;
}

.header__navbar-item--has-notify:hover .header__notify {
    display: block;
}

.header__navbar-item,
.header__navbar-item-link {
    display: inline-block;
    font-size: 1.3rem;
    color: var(--white-color);
    text-decoration: none;
    font-weight: 300;
}

.header__navbar-item,
.header__navbar-item-link,
.header__navbar-icon-link {
    display: flex;
    align-items: center;

}

.header__navbar-item:hover,
.header__navbar-icon-link:hover,
.header__navbar-item-link:hover {
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
}

.header__navbar-item--strong {
    font-weight: 400;
}

.header__navbar-item--separate::after {
    content: "";
    display: block;
    position: absolute;
    border-left: 1px solid #FB9086;
    height: 16px;
    right: -9px;
    top: 50%;
    transform: translateY(-50%);
}

.header__navbar-icon-link {
    color: var(--white-color);
    text-decoration: none;
}

.header__navbar-icon-link:nth-child(2) {
    margin-left: 3px;
}

.header__navbar-icon {
    font-size: 1.8rem;
    margin: 0 4px;

}

.header__navbar-title--no-pointer {
    cursor: text;
    color: var(--white-color);
}

/* Header sort bar */
.header__sort-bar {
    position: fixed;
    top: var(--header-height);
    left: 0;
    right: 0;
    height: var(--header-sort-bar-height);
    background-color: var(--white-color);
    display: none;
    list-style: none;
    margin: 0;
    padding-left: 0;
    border-top: 1px solid #e5e5e5;
    border-bottom: 1px solid #e5e5e5;
}

.header__sort-item {
    flex: 1;
}

.header__sort-link {
    text-decoration: none;
    color: var(--text-color);
    font-size: 1.4rem;
    display: block;
    height: 100%;
    line-height: var(--header-sort-bar-height);
    text-align: center;
    position: relative;
}

.header__sort-link::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    height: 60%;
    transform: translateY(-50%);
    border-left: 1px solid #e5e5e5;
}

.header__sort-item--active .header__sort-link {
    color: var(--primary-color);
}

.header__sort-item:first-child .header__sort-link::before {
    display: none;
}

/* Header QR code */
.header__qr {
    width: 186px;
    background-color: var(--white-color);
    position: absolute;
    left: 0;
    top: 118%;
    padding: 8px;
    border-radius: 2px;
    display: none;
    animation: fadeIn ease-in 0.3s;
    z-index: 1;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.header__qr::before {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 20px;
    left: 0;
    top: -16px;

}

.header__qr-img {
    width: 100%;
}

.header__qr-apps {
    display: flex;
    justify-content: space-between;
}

.header__qr-link:nth-child(1) {
    margin-left: 11px;
}

.header__qr-link:nth-child(2) {
    margin-right: 11px;
}

.header__qr-download-img {
    height: 16px;
}

/* Header notification */
.header__notify {
    position: absolute;
    z-index: 1;
    top: 118%;
    right: 0;
    width: 404px;
    border-radius: 2px;
    background-color: var(--white-color);
    border: 1px solid rgba(0, 0, 0, 0.1);
    cursor: default;
    transform-origin: calc(100%-32px) top;
    animation: headerNotifyGrowth ease-in 0.2s;
    /* --webkit-animation: headerNotifyGrowth ease-in 0.2s;
    --ms-animation: headerNotifyGrowth ease-in 0.2s;
    -o-animation: headerNotifyGrowth ease-in 0.2s;
    -moz-animation: headerNotifyGrowth ease-in 0.2s; */
    will-change: opacity, transform;
    display: none;
}

.header__notify::before {
    content: "";
    border-style: solid;
    border-width: 20px 27px;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -29px;
}

.header__notify::after {
    content: "";
    display: block;
    position: absolute;
    right: 0;
    top: -16px;
    width: 90px;
    height: 20px;
}

@keyframes headerNotifyGrowth {
    from {
        opacity: 0;
        transform: scale(0);
    }

    to {
        opacity: 1;
        transform: scale(1);
    }
}

.header__notify-header {
    height: 40px;
    background-color: var(--white-color);

}

.header__notify-header h3 {
    color: #999;
    margin: 0 0 0 12px;
    font-weight: 400;
    font-size: 1.4rem;
    line-height: 40px;
    /* cursor: text; */
    user-select: none;
    /* -webkit-user-select: none; */
}

.header__notify-list {
    padding-left: 0;

}

.header__notify-link {
    display: flex;
    padding: 12px;
    text-decoration: none;
    background-color: rgb(238, 75, 43, 0.08);
    width: 100%;
}

.header__notify-item {
    display: flex;
}

.header__notify-item:hover {
    background-color: #F7F7F7;
}

.header__notify-item--viewed {
    background-color: rgb(238, 75, 43, 0.08);
}

.header__notify-img {
    width: 48px;
    object-fit: contain;

}

.header__notify-info {
    margin-left: 12px;
}

.header__notify-name {
    display: block;
    font-size: 1.4rem;
    color: var(--text-color);
    font-weight: 400;
    line-height: 1.8rem;

}

.header__notify-description {
    display: block;
    font-size: 1.2rem;
    color: #756F6E;
    line-height: 1.6rem;
    margin-top: 4px;
}

.header__notify-footer {
    display: flex;
}

.header__notify-footer-btn {
    text-decoration: none;
    color: var(--text-color);
    padding: 8px 0;
    width: 100%;
    text-align: center;
    font-size: 1.4rem;
    font-weight: 400;
}

/* Authen modal */
.auth-form {
    width: 500px;
    background-color: var(--white-color);
    border-radius: 5px;
    overflow: hidden;
}

.auth-form__container {
    padding: 0 32px;
}

.auth-form__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 12px;
    margin-top: 10px;
}

.auth-form__heading {
    font-size: 2.2rem;
    font-weight: 400;
    color: var(--text-color);
}

.auth-form__switch-btn {
    font-size: 1.6rem;
    font-weight: 400;
    color: var(--primary-color);
    cursor: pointer;
}

.auth-form__form {}

.auth-form__input {
    width: 100%;
    height: 40px;
    margin-top: 16px;
    padding: 0 12px;
    font-size: 1.4rem;
    border-radius: 2px;
    border: 1px solid var(--border-color);
    outline: none;
}

.auth-form__input:focus {
    border-color: #888;

}

.auth-form__aside {
    margin-top: 18px;
}

.auth-form__policy-text {
    font-size: 1.2rem;
    line-height: 1.8rem;
    text-align: center;
    padding: 0 12px;
}

.auth-form__text-link {
    text-decoration: none;
    color: var(--primary-color)
}

.auth-form__controls {
    margin-top: 80px;
}

.auth-form__controls {
    display: flex;
    justify-content: flex-end;
}

.auth-form__socials-back {
    margin-right: 8px;
}

.auth-form__socials {
    background-color: #f5f5f5;
    padding: 16px 36px;
    display: flex;
    justify-content: space-between;
    margin-top: 22px;
}

.auth-form__socials-icon {
    font-size: 1.8rem;
}

.auth-form__socials--facebook .auth-form__socials-icon {
    color: var(--white-color);
}

.auth-form__socials--facebook {
    color: var(--white-color);
    background-color: #3A5A98;
}

.auth-form__socials-title {
    margin: 0 36px;
}

.auth-form__socials--google {
    color: #666;
    background-color: var(--white-color);
}

.auth-form__help {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.auth-form__help-link {
    font-size: 1.4rem;
    text-decoration: none;
    color: #939393;
}

.auth-form__help-separate {
    display: block;
    height: 22px;
    margin: 1px 16px 0;
    border-left: 1px solid #EAEAEA;
}

.auth-form__help-forgot {
    color: var(--primary-color);
}

/* Header with search */
.header-with-search {
    height: var(--header-with-search-height);
    display: flex;
    align-items: center;
    margin: 0 8px;
}

.header__mobile-search {
    padding: 0 12px;
    display: none;
}

.header__mobile-search-icon {
    font-size: 2.6rem;
    color: var(--white-color);
}

.header__logo {
    width: 200px;
}

.header__logo-link {
    text-decoration: none;
    color: transparent;
    line-height: 0;
}

.header__search-checkbox:checked~.header__search {
    display: flex;
}

.header__logo-img {
    width: 150px;
    color: var(--white-color);
}

.header__search {
    flex: 1;
    height: 40px;
    background-color: var(--white-color);
    border-radius: 2px;
    display: flex;
    align-items: center;
}

.header__cart {
    width: 150px;
    text-align: center;
}

.header__cart-wrap {
    position: relative;
    display: inline-block;
    padding: 0 12px;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}

.header__cart-wrap:hover .header__cart-list {
    display: block;
}

.header__cart-list {
    position: absolute;
    top: calc(100% + 6.5px);
    right: 1px;
    background-color: var(--white-color);
    width: 400px;
    border-radius: 2px;
    box-shadow: 0 1px 3.125rem rgba(0, 0, 0, 0.2);
    animation: fadeIn ease-in 0.2s;
    cursor: default;
    display: none;
    z-index: 1;
}

.header__cart-heading {
    text-align: left;
    margin: 8px 0 8px 12px;
    font-size: 1.4rem;
    color: #999;
    font-weight: 400;
}

.header__cart-list-item {
    padding-left: 0;
    list-style: none;
    max-height: 56vh;
    overflow-y: auto;
}

.header__cart-item {
    display: flex;
    align-items: center;

}

.header__cart-item:hover {
    background-color: #F8F8F8;
}

.header__cart-img {
    width: 42px;
    height: 42px;
    margin: 12px;
    border: 1px solid #E8E8E8;
}

.header__cart-item-info {
    width: 100%;
    margin-right: 12px;
    line-height: 25px;
}

.header__cart-item-head {
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.header__cart-item-name {
    font-size: 1.4rem;
    line-height: 2rem;
    max-height: 4rem;
    overflow: hidden;
    font-weight: 500;
    color: var(--text-color);
    margin: 0;
    flex: 1;
    padding-right: 16px;
    text-align: left;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.header__cart-item-price {
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--primary-color);
}

.header__cart-item-multiply {
    font-size: 0.9rem;
    margin: 0 4px;
    color: #757575;
}

.header__cart-item-qnt {
    color: #757575;
    font-size: 1.2rem;
}

.header__cart-item-body {
    display: flex;
    justify-content: space-between;
}

.header__cart-item-description {
    color: #757575;
    font-size: 1.2rem;
    font-weight: 300;
}

.header__cart-item-remove {
    color: var(--text-color);
    font-size: 1.4rem;
}

.header__cart-item-remove:hover {
    color: var(--primary-color);
    cursor: pointer;
}

.header__cart-view-cart {
    float: right;
    margin: 0 12px 12px 0;
}

.header__cart-view-cart:hover {
    background-color: #F05D41;
}

.header__cart-list::after {
    cursor: pointer;
    content: "";
    position: absolute;
    right: 3px;
    top: -26px;
    border-width: 16px 20px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
}

.header__cart-list--no-cart {
    padding: 24px 0;

}

.header__cart-list--no-cart .header__cart-no-cart-img,
.header__cart-list--no-cart .header__cart-list-no-cart-msg {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.header__cart-no-cart-img {
    width: 54%;
    display: none;
}

.header__cart-list-no-cart-msg {
    display: none;
    font-size: 1.4rem;
    margin-top: 14px;
    color: var(--text-color);
}

.header__cart-notice {
    position: absolute;
    padding: 1px 7px;
    font-size: 1.4rem;
    line-height: 1.4rem;
    border-radius: 10px;
    background-color: var(--white-color);
    color: var(--primary-color);
    border: 2px solid #EA4D2D;
    top: -6px;
    right: -4px;
}

.header__cart-icon {
    color: var(--white-color);
    font-size: 2.4rem;
    margin-top: 6px;
}

.header__search-input-wrap {
    flex: 1;
    height: 100%;
    position: relative;
}

.header__search-input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    font-size: 1.5rem;
    color: var(--text-color);
    padding: 0 16px;
    border-radius: 2px;
}

.header__search-select {
    border-left: 1px solid #E8E8E8;
    padding-left: 16px;
    position: relative;
    cursor: pointer;

}


.header__search-select-label {
    font-size: 1.4rem;
    color: var(--text-color);
}

.header__search-select-icon {
    font-size: 1.4rem;
    color: rgba(131, 131, 131);
    margin: 0px 16px 0 8px;
    position: relative;
    top: 1px;
}

.header__search-btn {
    background-color: var(--primary-color);
    border: none;
    height: 34px;
    width: 60px;
    border-radius: 2px;
    margin-right: 3px;
    outline: none;
}

.header__search-btn:hover {
    cursor: pointer;
    background-color: #fb6445;
}

.header__search-select:hover .header__search-option {
    display: block;
}

.header__search-btn-icon {
    font-size: 1.4rem;
    color: var(--white-color)
}

.header__search-option {
    position: absolute;
    right: 0;
    top: 120%;
    width: 130px;
    list-style: none;
    box-shadow: 0 1px 2px #e0e0e0;
    padding-left: 0;
    border-radius: 2px;
    /* overflow: hidden; */
    display: none;
    animation: fadeIn ease-in 0.2s;
    z-index: 1;
}

.header__search-option::after {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    position: absolute;
    top: -10px;
    left: 0;
}

.header__search-option-item {
    background-color: var(--white-color);
    border-radius: 2px;
    padding: 8px 8px;
}

.header__search-option-item:first-child {
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.header__search-option-item:last-child {
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}

.header__search-option-item:hover {
    background-color: #fafafa;
    cursor: pointer;
}

.header__search-option-item span {
    font-size: 1.4rem;
    color: var(--text-color);
    margin-left: 8px;
}

.header__search-option-item i {
    font-size: 1.2rem;
    color: var(--primary-color);
    margin-left: 12px;
    display: none;
}

.header__search-option-item--active i {
    display: inline-block;
}

.header__search-input:focus~.header__search-history {
    display: block;
}

/* Search history */
.header__search-history {
    position: absolute;
    top: calc(100% + 2px);
    left: 0;
    width: calc(100% - 16px);
    background-color: var(--white-color);
    border-radius: 2px;
    box-shadow: 0 1px 5px rgb(189, 189, 189);
    display: none;
    overflow: hidden;
    z-index: 1;
}

.header__search-history-heading {
    margin: 6px 12px;
    font-size: 1.4rem;
    color: #999;
    font-weight: 400;
}

.header__seacrch-history-list {
    padding-left: 0;
    list-style: none;
    margin: 6px 0 0;
}

.header__seacrch-history-item {
    height: 38px;
    padding: 0 12px;
}

/* .header__seacrch-history-item:last-child {
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
} */

.header__seacrch-history-item:hover {
    background-color: #fafafa;
}

.header__seacrch-history-item a {
    text-decoration: none;
    font-size: 1.4rem;
    line-height: 38px;
    color: var(--text-color);
    display: block;
}

/* App container */

.app__container {
    background-color: #f5f5f5;
}

.app__content {
    padding-top: 36px;
}

.category {
    background-color: var(--white-color);
    border-radius: 2px;
}

.category__heading {
    color: var(--text-color);
    font-size: 1.5rem;
    font-weight: 400;
    padding: 16px 16px 0;
    margin-top: 0;
    text-transform: uppercase;
    /* border-bottom: 1px solid rgba(0, 0, 0, 0.05); */
}

/* .category__heading-icon {
    font-size: 1.4rem;
    margin-right: 4px;
    position: relative;
    top: -1px
} */

.category-list {
    list-style: none;
    padding: 0 0 8px 0;
    /* margin-left: 9px; */
}

.category-item {
    position: relative;
}

.category-item:first-child::before {
    display: none;
}

.category-item::before {
    content: "";
    border-top: 1px solid #E1E1E1;
    position: absolute;
    top: 0;
    left: 20px;
    right: 20px;
}

.category-item--active .category-item__link {
    color: var(--primary-color);
}

/* .category-item--active .category-item__link::before {
    content: "";
    top: 50%;
    left: 7px;
    position: absolute;
    border: 4px solid;
    transform: translateY(calc(-50%));
    border-color: transparent transparent transparent var(--primary-color);
} */

.category-item__link {
    position: relative;
    font-size: 1.4rem;
    text-decoration: none;
    color: var(--text-color);
    padding: 8px 20px;
    display: block;
    /* transition: right linear 0.1s; */
    /* right: 0; */
}

.category-item__link:hover {
    /* right: -4px; */
    color: var(--primary-color);
}

/* Mobile category */

.mobile-category {
    display: none;
}

.mobile-category__list {
    display: flex;
    list-style: none;
    padding-left: 0;
    max-width: 100%;
    overflow-x: auto;
}

.mobile-category__list::-webkit-scrollbar {
    display: none;
}

.mobile-category__item {
    flex-shrink: 0;
    margin-right: 10px;
}

.mobile-category__item:nth-of-type(3n + 1) .mobile-category__link {
    background-color: #87AFD8;
}

.mobile-category__item:nth-of-type(3n + 2) .mobile-category__link {
    background-color: #76C9BD;
}

.mobile-category__item:nth-of-type(3n + 3) .mobile-category__link {
    background-color: #88CF81;
}

.mobile-category__link {
    --line-height: 2rem;
    text-decoration: none;
    color: var(--white-color);
    font-size: 1.4rem;
    line-height: var(--line-height);
    height: calc(var(--line-height) * 2);
    text-align: center;
    width: 110px;
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    border-radius: 4px;
    font-weight: 300;
    overflow: hidden;
    user-select: none;
    -webkit-user-select: none;
    padding: 0 6px;
    /* -webkit-tap-highlight-color: transparent; */
}

/* Home sort + filter */

.home-filter {
    display: flex;
    align-items: center;
    padding: 12px 22px;
    border-radius: 2px;
    background-color: rgba(0, 0, 0, 0.04);
}

.home-filter__label {
    font-size: 1.4rem;
    color: #555555;
    margin-right: 16px;
}

.home-filter__btn {
    margin-right: 12px;
    min-width: 90px;
    background-color: var(--white-color);
}

.home-filter__page {
    display: flex;
    align-items: center;
    margin-left: auto;
}

.home-filter__page-num {
    font-size: 1.5rem;
    color: var(--text-color);
    margin-right: 22px;
}

.home-filter__page-current {
    color: var(--primary-color);
}

.home-filter__page-control {
    border-radius: 2px;
    overflow: hidden;
    display: flex;
    width: 72px;
    height: 36px;
}

.home-filter__page-btn {
    flex: 1;
    display: flex;
    background-color: var(--white-color);
    text-decoration: none;
}

.home-filter__page-btn--disabled {
    background-color: #f9f9f9;
}

.home-filter__page-btn--disabled .home-filter__page-icon {
    color: #CCC;
    cursor: default;
}

.home-filter__page-btn:first-child {
    border-right: 1px solid #EEE;
}

.home-filter__page-icon {
    margin: auto;
    font-size: 1.4rem;
    color: #555;
}

/* Product item */
.home-product {
    margin-bottom: 10px;
}

.home-product-item {
    position: relative;
    display: block;
    margin-top: 10px;
    background-color: var(--white-color);
    text-decoration: none;
    border-radius: 2px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px, rgba(0, 0, 0, 0.05) 0px 1px 2px;
    transition: transform linear 0.1s;
    will-change: transform;
}

.home-product-item:hover {
    transform: translateY(-1.5px);
    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 30px,
        rgba(0, 0, 0, 0.025) 0px 1px 20px;
}

.home-product-item__img {
    padding-top: 100%;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: top center;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}

.home-product-item__name {
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--text-color);
    line-height: 1.8rem;
    height: 3.6rem;
    margin: 10px 10px 6px;
    overflow: hidden;
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;

}

.home-product-item__price {
    display: flex;
    align-items: baseline;
    flex-wrap: wrap;
}

.home-product-item__price-old {
    margin-left: 10px;
    font-size: 1.4rem;
    color: #666;
    text-decoration: line-through;
}

.home-product-item__price-current {
    font-size: 1.6rem;
    color: var(--primary-color);
    margin-left: 10px;
}

.home-product-item__action {
    display: flex;
    justify-content: space-between;
    margin: 6px 10px 0px;
}

.home-product-item__like {
    font-size: 1.3rem;
}

i.home-product-item__like-icon-fill {
    display: none;
    color: #F63D3D;
}

.home-product-item__like--liked .home-product-item__like-icon-fill {
    display: inline-block;
}

.home-product-item__like--liked .home-product-item__like-icon-empty {
    display: none;
}

.home-product-item__rating {
    font-size: 0.8rem;
    color: #D5D5D5;
    margin: -0.5px 0 0 auto;
}

.home-product-item__star--gold {
    color: var(--star-gold-color);
}

.home-product-item__sold {
    font-size: 1.2rem;
    color: var(--text-color);
    margin-left: 6px;
}

.home-product-item__origin {
    display: flex;
    margin: 3px 10px 0;
    color: #595959;
    font-size: 1.2rem;
    font-weight: 300;
}

.home-product-item__brand {}

.home-product-item__origin-name {
    margin-left: auto;
}

.home-product-item__favourite {
    position: absolute;
    top: 10px;
    left: -4px;
    color: var(--primary-color);
    background-color: currentColor;
    font-size: 1.2rem;
    font-weight: 500;
    line-height: 1.6rem;
    padding-right: 4px;
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}

.home-product-item__favourite::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    border-top: 3.5px solid currentColor;
    border-left: 3.5px solid transparent;
    filter: brightness(60%);
}

.home-product-item__favourite span {
    color: var(--white-color);
}

.home-product-item__favourite i {
    font-size: 0.9rem;
    margin: 0 2px 0 5px;
}

.home-product-item__sale-off {
    position: absolute;
    right: 0;
    top: 0;
    width: 40px;
    height: 36px;
    text-align: center;
    background-color: rgba(255, 216, 64, 0.94);
    border-top-right-radius: 2px;
}

.home-product-item__sale-off::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    border-width: 0 20px 4px;
    border-style: solid;
    border-color: red rgba(255, 216, 64, 0.94) transparent rgba(255, 216, 64, 0.94);
}

.home-product-item__sale-off-percent {
    color: #EE4D2D;
    font-weight: 600;
    font-size: 1.2rem;
    line-height: 1.2rem;
    position: relative;
    top: 3px;
}

.home-product-item__sale-off-label {
    font-size: 1.3rem;
    line-height: 1.9rem;
    font-weight: 600;
    color: var(--white-color);
}

.home-product__pagination {
    margin: 48px 0 32px 0;
    padding-left: 0;
}

/* Footer */

.footer {
    padding-top: 16px;
    border-top: 4px solid var(--primary-color);
    background-color: var(--white-color);
}

.footer__heading {
    font-size: 1.4rem;
    text-transform: uppercase;
    color: var(--text-color);
}

.footer-list {
    padding-left: 0;
    list-style: none;
}

.footer-item__link {
    text-decoration: none;
    font-size: 1.2rem;
    color: #737373;
    padding: 2px 0;
    display: flex;
    align-items: center;
}

.footer-item__link:hover {
    color: var(--primary-color);
}

.footer-item__icon {
    font-size: 1.6rem;
    margin: -1px 8px 0 0;
}

.footer__download {
    display: flex;
}

.footer__download-qr {
    width: 80px;
    height: 80px;
    border: 1px solid var(--border-color);
}

.footer__download-apps {
    flex: 1;
    margin-left: 16px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 3px
}

.footer__download-app-img {
    height: 20px;
}

.footer__download-app-link {
    color: transparent;
    text-decoration: none;
}

.footer__bottom {
    background-color: #F5F5F5;
    padding: 8px 0;
    margin-top: 36px;
}

.footer__text {
    margin: 0;
    text-align: center;
    font-size: 1.2rem;
    color: #737373;
}